function [] = ConvC3DToTSV(loadfile, savefile)
% loadfile='/Users/donald/Documents/MATLAB_TOOLS/MATLAB_ADDON/MoCAP-MATLAB/mcpkinetictoolbox/Personal_Space_Analysis/demo/data/c3d/';
% savefile='/Users/donald/Documents/MATLAB_TOOLS/MATLAB_ADDON/MoCAP-MATLAB/mcpkinetictoolbox/Personal_Space_Analysis/demo/data/save/';
% INPUT:
% 
% - loadfile: path della cartella contenente i file da elaborare
% - savefile: path della cartella dove salvare i file elaborati
files = dir(fullfile(loadfile, '*.c3d'));

%per ogni file c3d
for k=1:length(files)
    
    %leggo il file
    d=mcread([loadfile files(k).name]);   
  
    %visualizzo dati
    [mf, mm, mgrid] = mcmissing(d);
    figure, set(gcf,'Position',[40 200 560 420])
    subplot(3,1,1), bar(mf), xlabel('Marker'), ylabel('Missing frames')
    subplot(3,1,2), bar(mm), xlabel('Frame'), ylabel('Missing markers')
    subplot(3,1,3), imagesc(-mgrid'), colormap gray, xlabel('Frame'), ylabel('Marker')
    
    % riempio eventuali gap
    d = mcfillgaps(d, 'fillall');
   
    
    %visualizzo dati
    [mf, mm, mgrid] = mcmissing(d);
    figure, set(gcf,'Position',[40 200 560 420])
    subplot(3,1,1), bar(mf), xlabel('Marker'), ylabel('Missing frames')
    subplot(3,1,2), bar(mm), xlabel('Frame'), ylabel('Missing markers')
    subplot(3,1,3), imagesc(-mgrid'), colormap gray, xlabel('Frame'), ylabel('Marker')
    
    d = mcsmoothen(d,11); % filtering using Savitzky-Golay
    
    %salvo il file in tsv
    mcwriteEW(d,savefile);
end