function []=mcwriteEW(d,path)
% Save the mocap structure in a tsv file.
%
% syntax
% mcwrite(fn,path)
%
% input parameters
% fn: mocap structure
% path: path to save the tsv file
%
% output
% tsv file will be saved in the directory specified in path
%
% examples
%
% comments
% 
%
% see also
% mcread
%
% Roberto Rovegno, Copyright ?2008,
% University of Genoa, Italy

%memorizzo il nome originale

[~, name, ~] = fileparts(d.filename);
name=strtok(name,'.');
name = strcat(name,'.tsv');
name = strcat (path,name);
path
name

colnames= cell(1,(d.nMarkers*3)+2);
colnames(1)=cellstr('Frame');
colnames(2)=cellstr('Time');
x=3;
for k=1:d.nMarkers
    colnames(x)=cellstr(strcat(d.markerName{k},' X'));        
    colnames(x+1)=cellstr(strcat(d.markerName{k},' Y'));   
    colnames(x+2)=cellstr(strcat(d.markerName{k},' Z'));
    
    x=x+3;
end

fid = fopen(name, 'w');
fprintf(fid, '%s\t', 'NO_OF_FRAMES');
fprintf(fid, '%u\r\n', d.nFrames);
fprintf(fid, '%s\t', 'NO_OF_CAMERAS');
fprintf(fid, '%u\r\n', d.nCameras);
fprintf(fid, '%s\t', 'NO_OF_MARKERS');
fprintf(fid, '%u\r\n', d.nMarkers);
fprintf(fid, '%s\t', 'FREQUENCY');
fprintf(fid, '%u\r\n', d.freq);
fprintf(fid, '%s\t', 'NO_OF_ANALOG');
fprintf(fid, '%u\r\n', 0);%d.nAnalog
fprintf(fid, '%s\t', 'ANALOG_FREQUENCY');
fprintf(fid, '%u\r\n', 0);%d.anaFreq
fprintf(fid, '%s\t', 'DESCRIPTION');
fprintf(fid, '%s\r\n', '--');
fprintf(fid, '%s\t', 'TIME_STAMP');
fprintf(fid, '%s\r\n', '--');
fprintf(fid, '%s\t', 'DATA_INCLUDED');
fprintf(fid, '%s\r\n', '3D');
fprintf(fid, '%s\t', 'MARKER_NAMES');       
fprintf(fid, '%s\t', d.markerName{:});
fprintf(fid, '\r\n');
fprintf(fid, '%s\t', colnames{:});
fprintf(fid, '\r\n');

for k=1:size(d.data,1);
    fprintf(fid, '%i\t', k);
    fprintf(fid, '%6.5f', ((1/d.freq)*k));
    fprintf(fid, '\t%6.3f', d.data(k,:));
    fprintf(fid, '\r\n');
end

fclose(fid);

if exist(name,'file') == 2
    disp([name, ' written'])
else
    disp([10, name, ' not written!', 10])
end
   
